#!/usr/bin/python -Wall

import random
import sys

# ----------------------------------------------------------------
def coin_flips(p, n):
	Y = 0
	for i in range(0, n):
		if (random.random() < p):
			Y += 1
	return Y

# ----------------------------------------------------------------
n = 1000
Nmax = 1000

argc = len(sys.argv)
if (argc == 2):
	Nmax = int(sys.argv[1])

for p in [0.5, 0.6]:
	print "p = %f:" % (p)
	sumY = 0
	for N in range(1, Nmax+1):
		Y = coin_flips(p, n)
		sumY += Y
		YNbar = sumY / (1.0*N)
		#print "  N = %3d Y = %3d YNbar = %11.4f" % (N, Y, YNbar)
		print "  %3d %3d %11.4f" % (N, Y, YNbar)
	print
