#!/usr/bin/python -Wall

from math import *
import stats_m
import sys

a =    1664525
b = 1013904223
mask = (1<<32) - 1
M = 1.0 * (1<<32)

ell = 2
I = 123456789
Vs = []
#N = 100000
N = 1000

if (len(sys.argv) == 2):
	N = int(sys.argv[1])

max = 0.0
min = 100.0
minidx = -1
maxidx = -1

for k in range(0, N):
	U = I/M
	V = -log(1-U) / ell
	if (V < min):
		min = V
		minidx = k+1
	if (V > max):
		max = V
		maxidx = k+1
	#if (k < 8) or (N-k < 8):
	if 1:
		print "%4d %11.7f %11.7f" % (k+1, U, V)
	I = (a*I + b) & mask
	Vs.append(V)

print
print "min = %11.7f at k = %4d" % (min, minidx)
print "max = %11.7f at k = %4d" % (max, maxidx)
print

H = stats_m.make_histogram(Vs, 0.0, 4.5, 9)
lo = 0.0
hi = 0.5
for i in range(0, len(H)):
	print "[%3.1f,%3.1f) %11d" % (lo, hi, H[i])
	lo += 0.5
	hi += 0.5
