#!/usr/bin/python -Wall

import stats_m

a =    1664525
b = 1013904223
mask = (1<<32) - 1
M = 1.0 * (1<<32)

X = 1
N = 100000
Xs = []
for k in range(0, N):
	if (k < 8) or (N-k < 8):
		print "%4d %11d 0x%08x %11.7f" % (k, X, X, X/M)
	X = (a*X + b) & mask
	Xs.append(X/M)

H = stats_m.make_histogram(Xs, 0.0, 1.0, 10)
for h in H:
	print "%11d" % (h)
