%% ================================================================
% John Kerl
% kerl at math dot arizona dot edu
% 2007-09-06
%% ================================================================

hold on;

%% ----------------------------------------------------------------
N = 100;
x = [0 : N];
[notused, nx] = size(x);
y = []
for i = 1:nx
	k = x(i);
	y = [y, factorial(N)/factorial(k)/factorial(N-k)*(1/6)^k * (5/6)^(N-k)];
end
plot(x,y,'.', 'MarkerSize', 10);

set(gcf, 'PaperPositionMode', 'Manual');
set(gcf, 'PaperPosition', [0 0 5.0 1.0])
axis([0,100,0,0.12]);
print -depsc die100pdf
