#!/usr/bin/python -Wall

import stats_m

a =    1664525
b = 1013904223
mask = (1<<32) - 1
M = 1.0 * (1<<32)

X = 123456789
#N = 100000
N = 1000
Xs = []
for k in range(0, N):
	if (0):
		if (k < 8) or (N-k < 8):
			print "%4d %11d 0x%08x %11.7f" % (k+1, X, X, X/M)
	else:
		print "%4d %11d 0x%08x %11.7f" % (k+1, X, X, X/M)
	X = (a*X + b) & mask
	Xs.append(X/M)

print

H = stats_m.make_histogram(Xs, 0.0, 1.0, 10)
xlo = 0.0
xhi = 0.1
dx  = 0.1
for h in H:
	print "$[%3.1f,%3.1f)$ %11d" % (xlo, xhi, h)
	xlo += dx
	xhi += dx
