%% ================================================================
% John Kerl
% kerl at math dot arizona dot edu
% 2007-09-06
%% ================================================================

hold on;

%% ----------------------------------------------------------------
for i = 0:6
	y = [];
	x = [i:.1:i+1];
	[notused, nx] = size(x);
	for j = 1:nx
		y = [y, i/6];
	end
	plot(x,y);
end

x = [1:6];
y = (x - 1) / 6;
plot(x,y,'o');

x = [1:6];
y = x / 6;
plot(x,y,'.', 'MarkerSize', 20);

set(gcf, 'PaperPositionMode', 'Manual');
set(gcf, 'PaperPosition', [0 0 5.0 1.0])
print -depsc diecdf
