%% ================================================================
% John Kerl
% kerl at math dot arizona dot edu
% 2007-09-06
%% ================================================================

hold on;

%% ----------------------------------------------------------------
s = 1.0 / sqrt(2*pi);
dx = 0.05;
x = [-3:dx:3];
y = exp(-x.^2/2) * s;
z0 = 0.00135; % TI-83
[notused,nx] = size(x);
z = [];
for i = 1:nx
	z = [z,z0];
	z0 = z0 + y(i) * dx;
end
plot(x,z);

set(gcf, 'PaperPositionMode', 'Manual');
set(gcf, 'PaperPosition', [0 0 5.0 1.0])
%axis([-3,1.2,-0.1,1.1]);
print -depsc sncdf
