%% ================================================================
% John Kerl
% kerl at math dot arizona dot edu
% 2007-09-06
%% ================================================================

hold on;

%% ----------------------------------------------------------------
lambda = 2;
U = [0.0 : 0.002 : 1.0];
V = -log(1-U) / lambda;

plot(U,V);

set(gcf, 'PaperPositionMode', 'Manual');
set(gcf, 'PaperPosition', [0 0 5.0 1.0])
axis([-0.1,1.1,0.0,3.0]);
print -depsc vfu
